IStorageItemInformation = (function () {
  var cls = function IStorageItemInformation() {
    this.basicProperties = new Object();
    this.documentProperties = new Object();
    this.imageProperties = new Object();
    this.musicProperties = new Object();
    this.thumbnail = new Object();
    this.videoProperties = new Object();
  };
  

    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.IStorageItemInformation = IStorageItemInformation;

FileInformationFactory = (function () {
  var cls = function FileInformationFactory() {
  };
  
var cls = function FileInformationFactory(queryResult, mode) {
};

var cls = function FileInformationFactory(queryResult, mode, requestedThumbnailSize) {
};

var cls = function FileInformationFactory(queryResult, mode, requestedThumbnailSize, thumbnailOptions) {
};

var cls = function FileInformationFactory(queryResult, mode, requestedThumbnailSize, thumbnailOptions, delayLoad) {
};


  cls.prototype.getItemsAsync = function getItemsAsync(startIndex, maxItemsToRetrieve, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="startIndex" type="Number">A param.</param>
    /// <param name="maxItemsToRetrieve" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getItemsAsync = function getItemsAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.getFilesAsync = function getFilesAsync(startIndex, maxItemsToRetrieve, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="startIndex" type="Number">A param.</param>
    /// <param name="maxItemsToRetrieve" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getFilesAsync = function getFilesAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.getFoldersAsync = function getFoldersAsync(startIndex, maxItemsToRetrieve, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="startIndex" type="Number">A param.</param>
    /// <param name="maxItemsToRetrieve" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getFoldersAsync = function getFoldersAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.getVirtualizedItemsVector = function getVirtualizedItemsVector() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.getVirtualizedFilesVector = function getVirtualizedFilesVector() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.getVirtualizedFoldersVector = function getVirtualizedFoldersVector() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  return cls;
}) ();
exports.FileInformationFactory = FileInformationFactory;

FileInformation = (function () {
  var cls = function FileInformation() {
    this.basicProperties = new Object();
    this.documentProperties = new Object();
    this.imageProperties = new Object();
    this.musicProperties = new Object();
    this.thumbnail = new Object();
    this.videoProperties = new Object();
    this.contentType = new String();
    this.fileType = new String();
    this.attributes = new Number();
    this.dateCreated = new Date();
    this.name = new String();
    this.path = new String();
    this.displayName = new String();
    this.displayType = new String();
    this.folderRelativeId = new String();
    this.properties = new Object();
    this.provider = new Object();
    this.isAvailable = new Boolean();
  };
  

  cls.prototype.openAsync = function openAsync(accessMode, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="accessMode" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.openTransactedWriteAsync = function openTransactedWriteAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.copyAsync = function copyAsync(destinationFolder, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="destinationFolder" type="Object">A param.</param>
    /// </signature>
  }

cls.prototype.copyAsync = function copyAsync(destinationFolder, desiredNewName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="destinationFolder" type="Object">A param.</param>
    /// <param name="desiredNewName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.copyAsync = function copyAsync(destinationFolder, desiredNewName, option, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="destinationFolder" type="Object">A param.</param>
    /// <param name="desiredNewName" type="String">A param.</param>
    /// <param name="option" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.copyAndReplaceAsync = function copyAndReplaceAsync(fileToReplace, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="fileToReplace" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.moveAsync = function moveAsync(destinationFolder, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="destinationFolder" type="Object">A param.</param>
    /// </signature>
  }

cls.prototype.moveAsync = function moveAsync(destinationFolder, desiredNewName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="destinationFolder" type="Object">A param.</param>
    /// <param name="desiredNewName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.moveAsync = function moveAsync(destinationFolder, desiredNewName, option, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="destinationFolder" type="Object">A param.</param>
    /// <param name="desiredNewName" type="String">A param.</param>
    /// <param name="option" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.moveAndReplaceAsync = function moveAndReplaceAsync(fileToReplace, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="fileToReplace" type="Object">A param.</param>
    /// </signature>
  }


  cls.prototype.renameAsync = function renameAsync(desiredName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="desiredName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.renameAsync = function renameAsync(desiredName, option, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="desiredName" type="String">A param.</param>
    /// <param name="option" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.deleteAsync = function deleteAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }

cls.prototype.deleteAsync = function deleteAsync(option, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="option" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.getBasicPropertiesAsync = function getBasicPropertiesAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.openReadAsync = function openReadAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.openSequentialReadAsync = function openSequentialReadAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.getThumbnailAsync = function getThumbnailAsync(mode, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="mode" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getThumbnailAsync = function getThumbnailAsync(mode, requestedSize, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="mode" type="Number">A param.</param>
    /// <param name="requestedSize" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getThumbnailAsync = function getThumbnailAsync(mode, requestedSize, options, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="mode" type="Number">A param.</param>
    /// <param name="requestedSize" type="Number">A param.</param>
    /// <param name="options" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.getParentAsync = function getParentAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.isOfType = function isOfType(type) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="type" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isEqual = function isEqual(item) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="item" type="Object">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.FileInformation = FileInformation;

FolderInformation = (function () {
  var cls = function FolderInformation() {
    this.basicProperties = new Object();
    this.documentProperties = new Object();
    this.imageProperties = new Object();
    this.musicProperties = new Object();
    this.thumbnail = new Object();
    this.videoProperties = new Object();
    this.attributes = new Number();
    this.dateCreated = new Date();
    this.name = new String();
    this.path = new String();
    this.displayName = new String();
    this.displayType = new String();
    this.folderRelativeId = new String();
    this.properties = new Object();
    this.provider = new Object();
  };
  

  cls.prototype.getParentAsync = function getParentAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.tryGetItemAsync = function tryGetItemAsync(name, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.createFileAsync = function createFileAsync(desiredName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="desiredName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.createFileAsync = function createFileAsync(desiredName, options, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="desiredName" type="String">A param.</param>
    /// <param name="options" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.createFolderAsync = function createFolderAsync(desiredName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="desiredName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.createFolderAsync = function createFolderAsync(desiredName, options, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="desiredName" type="String">A param.</param>
    /// <param name="options" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.getFileAsync = function getFileAsync(name, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.getFolderAsync = function getFolderAsync(name, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.getItemAsync = function getItemAsync(name, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="name" type="String">A param.</param>
    /// </signature>
  }


  cls.prototype.getFilesAsync = function getFilesAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }

cls.prototype.getFilesAsync = function getFilesAsync(query, startIndex, maxItemsToRetrieve, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="query" type="Number">A param.</param>
    /// <param name="startIndex" type="Number">A param.</param>
    /// <param name="maxItemsToRetrieve" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getFilesAsync = function getFilesAsync(query, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="query" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.getFoldersAsync = function getFoldersAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }

cls.prototype.getFoldersAsync = function getFoldersAsync(query, startIndex, maxItemsToRetrieve, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="query" type="Number">A param.</param>
    /// <param name="startIndex" type="Number">A param.</param>
    /// <param name="maxItemsToRetrieve" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getFoldersAsync = function getFoldersAsync(query, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="query" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.getItemsAsync = function getItemsAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }

cls.prototype.getItemsAsync = function getItemsAsync(startIndex, maxItemsToRetrieve, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="startIndex" type="Number">A param.</param>
    /// <param name="maxItemsToRetrieve" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.renameAsync = function renameAsync(desiredName, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="desiredName" type="String">A param.</param>
    /// </signature>
  }

cls.prototype.renameAsync = function renameAsync(desiredName, option, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="desiredName" type="String">A param.</param>
    /// <param name="option" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.deleteAsync = function deleteAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }

cls.prototype.deleteAsync = function deleteAsync(option, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="option" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.getBasicPropertiesAsync = function getBasicPropertiesAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.getThumbnailAsync = function getThumbnailAsync(mode, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="mode" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getThumbnailAsync = function getThumbnailAsync(mode, requestedSize, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="mode" type="Number">A param.</param>
    /// <param name="requestedSize" type="Number">A param.</param>
    /// </signature>
  }

cls.prototype.getThumbnailAsync = function getThumbnailAsync(mode, requestedSize, options, callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="mode" type="Number">A param.</param>
    /// <param name="requestedSize" type="Number">A param.</param>
    /// <param name="options" type="Number">A param.</param>
    /// </signature>
  }


  cls.prototype.getIndexedStateAsync = function getIndexedStateAsync(callback) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// </signature>
  }


  cls.prototype.areQueryOptionsSupported = function areQueryOptionsSupported(queryOptions) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="queryOptions" type="Object">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isCommonFolderQuerySupported = function isCommonFolderQuerySupported(query) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="query" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isCommonFileQuerySupported = function isCommonFileQuerySupported(query) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="query" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isEqual = function isEqual(item) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="item" type="Object">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.isOfType = function isOfType(type) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="type" type="Number">A param.</param>
    /// <returns type="Boolean" />
    /// </signature>
    return new Boolean();
  }


  cls.prototype.createFileQuery = function createFileQuery() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }

cls.prototype.createFileQuery = function createFileQuery(query) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="query" type="Number">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.createFileQueryWithOptions = function createFileQueryWithOptions(queryOptions) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="queryOptions" type="Object">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.createFolderQuery = function createFolderQuery() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }

cls.prototype.createFolderQuery = function createFolderQuery(query) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="query" type="Number">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.createFolderQueryWithOptions = function createFolderQueryWithOptions(queryOptions) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="queryOptions" type="Object">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.createItemQuery = function createItemQuery() {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


  cls.prototype.createItemQueryWithOptions = function createItemQueryWithOptions(queryOptions) {
    /// <signature>
    /// <summary>Function summary.</summary>
    /// <param name="queryOptions" type="Object">A param.</param>
    /// <returns type="Object" />
    /// </signature>
    return new Object();
  }


    cls.prototype.addListener = function addListener(eventName, callback){}
    cls.prototype.removeListener = function removeListener(eventName, callback){}
    cls.prototype.on = function on(eventName, callback){}
    cls.prototype.off = function off(eventName, callback){}
  return cls;
}) ();
exports.FolderInformation = FolderInformation;

